Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/30306/?format=api
{ "ob_id": 30306, "uuid": "33ba929e3bcd4c08b69871e45a8660aa", "title": "APHH: O3, CO, NO, NO2, NOy and SO2 measurements made at the Indira Gandhi Delhi Technical University for Women (IGDTUW) site during the pre and post monsoon periods for the DelhiFlux field campaign 2018", "abstract": "This dataset contains O3, CO, NO, NO2, NOy and SO2 concentration measurements from the University of York's Thermo 49i O3 analyser, Aero Laser 5002 CO analyser, Air Quality Design (AQD) NOx analyser, Thermo 42c Trace Level NOx analyser with AQD NOy converter and a Thermo 43i SO2 analyser. These instruments were located at the Indira Gandi Delhi Technical University for Women (IGDTUW). The instruments sampled from a common sample line, initially at 7 m above ground level, then were moved to 35 m above ground on the 5th of November 2018.\r\n\r\nThe data were collected as part of the DelhiFlux project part of Air Pollution & Human Health in a Developing Indian Megacity (APHH-India) programme.", "keywords": "APHH, Delhiflux, O3, CO, NO, NO2, NOy, SO2", "publicationState": "published", "dataPublishedTime": "2020-05-22T14:02:11", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/30307/?format=api", "dataPath": "/badc/aphh/data/delhi/delhiflux/york-gas-aqi", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 6579254, "numberOfFiles": 4, "fileFormat": "Data are NASA Ames formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8246/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2612/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/62249/?format=api" ], "dataLineage": "Data were collected, quality controlled and prepared for archiving by the instrument scientists before upload to the Centre for Environmental Data Analysis (CEDA) for long term archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/24808/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/projects/30221/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30224/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/32625/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/130990/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/130991/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/130992/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/130993/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/130994/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/130997/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/130995/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/130996/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168349/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/30308/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }